<!--
Copyright 2017 Digital

This file is part of BeeWatch.

BeeWatch is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

BeeWatch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with BeeWatch.  If not, see <http://www.gnu.org/licenses/>.
 -->


# Introduction

## Disclaimer

BeeWatch is still under development and not finised yet. Many of the features mentioned below aren't implemented yet but I'm working on it. If you are exited about a feature or miss one, let me know :)

## The Goal

BeeWatch is designed for beekeepers, no matter if they are hobby and professionals. The project helps you understand your bees and can alert you if they fly away. This works by collecting data about your beehive and analyzing it.

## Raspberry Pi

The Brain of this product is a Raspberry Pi 3, a small computer. It uses various components to collect and analyze data about your bees.

# Features

These are the main features I'm planning to support. Some features can be combined with others.

## Beehouse weighing scale

The weight of your beehouse over time provides a lot of interesting information, for instance
- honey was produced on a specific day
- a raw guess of how many bees there are
- if your bees are moving to a new location

The hardware needed for this:
 - 5 weighing scales
 - 5 hx711

## Weather station

The weather conditions are an important factor for the bee's survival and effectiveness.
- information about temperature, humidity, wind strength, sun radiation

## Solar Panels

Most beehouses aren't placed to a power outlet. Solar panels are an environment friendly way to supply the other parts with electricity.

## Camera

Make pictures or record videos of your beehive. There is also a night-vision camera for the Pi

The hardware required for this (you don't need both cameras):
- Raspberry Pi camera
- Raspberry Pi Noir camera
- Camera extension cord

# What hardware components to buy?

This guide helps you with what comonents you need to buy. The "Basic Setup" and "Other stuff" are the only two essential categories. The "required" row shows if an item is requred for the category, not the whole project.

## Basic Setup

Without an RTC, the raspberry doesn't know what time it is. It can also be synced from the internet, but a RTC is way faster and more dependable. Knowing the time is required for collecting data.

| Name                  | Required  | Amount |
|:----------------------|:----------|:-------|
| Raspberry Pi          | essential | 1      |
| SD card               | essential | 1      |
| Real time clock (rtc) | advised   | 1      |

## Other stuff needed

This stuff is useful when building things.

| Name                    | Required | Amount |
|:------------------------|:---------|:-------|
| mini prototyping board  |          | 2      |
| small prototyping board |          | 1      |
| led                     |          | 1      |
| switch                  |          | 2      |

## Weighing scale

Each load cell needs one HX711. (I'm looking for a way to ditch the HX711 using amplifiers and analog to digital converters). The weighing scale needs 5 load cells but for testing 2 are sufficent.

| Name      | Required  | Amount                 |
|:----------|:----------|:-----------------------|
| Load Cell | essential | 5 or 2                 |
| HX711     | essential | one for each load cell |

## Weather Station

dunno, didn't research this

| Name | Required | Amount |
|:-----|:---------|:-------|
|      |          |        |

## Pictures/Videos

There are two camera models for the Raspberry pi, a normal one and a night vision one. The Raspberry has two camera ports, however it is possbile to add more cameras with the help of an extension board

| Name                   | Required                          | Amount          |
|:-----------------------|:----------------------------------|:----------------|
| camera                 | you choose                        | you choose      |
| noir camera            | you choose                        | you choose      |
| extension cord         | probably                          | depends on how you install the cameras |
| camera extension board | if you have more than two cameras | depends         |

<!-- ## Dummy

| Name | Required | Amount |
|:-----|:---------|:-------|
|      |          |        |
 -->



# License
Copyright 2017 Digital

This file is part of BeeWatch.

BeeWatch is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

BeeWatch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with BeeWatch.  If not, see <http://www.gnu.org/licenses/>.




































<!--  -->
